# AIDepotList Class Reference
[Classes that create a list of items.]

Creates a list of the locations of the depots (and hangars) of which you are the owner. More...

`#include <ai_depotlist.hpp>`

Inheritance diagram for AIDepotList:

## Public Member Functions
| AIDepotList (AITile::TransportType transport_type)
## Static Public Member Functions
static const char * | GetClassName ()

## Detailed Description

Creates a list of the locations of the depots (and hangars) of which you are the owner.

Definition at line 22 of file ai_depotlist.hpp.

## Constructor & Destructor Documentation

AIDepotList::AIDepotList | ( | AITile::TransportType | transport_type | ) |

Parameters:

  | transport_type | The type of transport to make a list of depots for.

Definition at line 17 of file ai_depotlist.cpp.

References AIAbstractList::AddItem(), GetTileOwner(), IsTileType(), MP_RAILWAY, MP_ROAD, MP_WATER, AirportSpec::nof_depots, BaseStation::owner, AITile::TRANSPORT_AIR, AITile::TRANSPORT_RAIL, AITile::TRANSPORT_ROAD, and AITile::TRANSPORT_WATER.

The documentation for this class was generated from the following files:

- src/ai/api/ai_depotlist.hpp
- src/ai/api/ai_depotlist.cpp